[aliases]
n0=;  Jenac Script, mixed by AXE(c) 1998-2008.
n1=
n2=;ВНИМАНИЕ!
n3=;ЕСЛИ ВЫ ИЗМЕНИТЕ ОРИГИНАЛЬНЫЙ КОД ЭТОГО СКРИПТА,
n4=;ТО РИСКУЕТЕ ОСТАТЬСЯ БЕЗ ЮЗАБЕЛЬНОЙ МИРКИ!
n5=
n6=gender {
n7=  if ( %gender == 2 ) { return а }
n8=  else return $null
n9=}
n10=textencode {
n11=  if ( $did(crypt,4,1) == $null ) || ( $did(crypt,6,1) == $null ) || ( $did(crypt,15).sel == $null ) {
n12=    dll $mircdirsystem\jenac.dll avs Недостаточно данных!
n13=    halt
n14=  }
n15=  dll $mircdirsystem\jenac.dll encode $did(crypt,4,1) $did(crypt,6,1) $did(crypt,15).sel
n16=}
n17=textdecode {
n18=  if ( $did(crypt,11,1) == $null ) || ( $did(crypt,13,1) == $null ) || ( $did(crypt,15).sel == $null ) {
n19=    dll $mircdirsystem\jenac.dll avs Недостаточно данных!
n20=    halt
n21=  }
n22=  dll $mircdirsystem\jenac.dll decode $did(crypt,11,1) $did(crypt,13,1) $did(crypt,15).sel
n23=}
n24=
n25=checkbirth {
n26=  if ( %checkb != $null ) {
n27=    var %i.bi 1
n28=    while ( %i.bi <= $lines($mircdirsystem/syst/phone.txt) ) {
n29=      set %bbi $gettok($read($mircdirsystem/syst/phone.txt,%i.bi),6,134)
n30=      set %win $replace($gettok($read($mircdirsystem/syst/phone.txt,%i.bi),1,134),$chr(32),$chr(95))
n31=      set %bnck % $+ stb. $+ %win
n32=      if ( %bbi == $date(dd/mm) ) && ( [ [ %bnck ] ]  == $null ) {
n33=        if ( $window(@Birthday!).state == $null ) { window -Cdalk @Birthday! 800 400 }
n34=        if (  %sound != $null ) { .splay $mircdirsystem\ $+ %sdir $+ \ $+ %s.happy }
n35=        aline @Birthday! У3 %win сегодня день рождения! Щелкните два раза мышкой, чтобы остановить напоминание.
n36=        flash @Birthday!
n37=      }
n38=      inc %i.bi  
n39=    }
n40=  }
n41=  unset %win %bnck
n42=}
n43=
n44=infosystem {
n45=  say %ss33 $+ Операционная Система:3 $dll(system\Sysinfo.dll,osinfo,_) $+  $+ %ss44 %ss33 $+ Время работы:3 $dll(system\Sysinfo.dll,uptime,_) $+  $+ %ss44 %ss33 $+ Процессор:3 $dll(system\Sysinfo.dll,cpuinfo,_) $+  $+ %ss44 %ss33 $+ Память:3 $replace($dll(system\Sysinfo.dll,meminfo,_),Usage:,$null) $+  $+ %ss44 %ss33 $+ Разрешение:3 $dll(system\Sysinfo.dll,screeninfo,_) $+  $+ %ss44
n46=}
n47=mkqc {
n48=  if ( %nickc.col isnum ) { return $chr(3) $+ %nickc.col }
n49=}
n50=mkquery {
n51=  if ( %doublen != $null ) {
n52=    editbox -a $editbox($active) %nickc.beg $+ $mkqc $+ %query.nick $+  $+ %nickc.end
n53=  }
n54=  else query  %query.nick
n55=  unset %query.nick
n56=}
n57=saytimeslov { 
n58=  set %chas $asctime(h) | set %min $asctime(n) | set %sec $asctime(s) | if (%min == 0) { if (%chas == 1) set %chasnew час | if (%chas == 2) set %chasnew два | if (%chas == 3) set %chasnew три | if (%chas == 4) set %chasnew четыре
n59=    if (%chas == 5) set %chasnew пять | if (%chas == 6) set %chasnew шесть | if (%chas == 7) set %chasnew семь | if (%chas == 8) set %chasnew восемь | if (%chas == 9) set %chasnew девять | if (%chas == 10) set %chasnew десять | if (%chas == 11) set %chasnew одиннадцать | if (%chas == 12) set %chasnew двенадцать
n60=  }
n61=  else { if (%chas == 1) set %chasnew второго | if (%chas == 2) set %chasnew третьего | if (%chas == 3) set %chasnew четвёртого | if (%chas == 4) set %chasnew пятого | if (%chas == 5) set %chasnew шестого | if (%chas == 6) set %chasnew седьмого | if (%chas == 7) set %chasnew восьмого
n62=    if (%chas == 8) set %chasnew девятого | if (%chas == 9) set %chasnew десятого | if (%chas == 10) set %chasnew одиннадцатого | if (%chas == 11) set %chasnew двенадцатого | if (%chas == 12) set %chasnew первого
n63=  }
n64=  if (%min == 0) set %minnew ровно | if (%min == 1) set %minnew одна | if (%min == 2) set %minnew две | if (%min == 3) set %minnew три | if (%min == 4) set %minnew четыре | if (%min == 5) set %minnew пять | if (%min == 6) set %minnew шесть | if (%min == 7) set %minnew семь | if (%min == 8) set %minnew восемь
n65=  if (%min == 9) set %minnew девять | if (%min == 10) set %minnew десять | if (%min == 11) set %minnew одиннадцать | if (%min == 12) set %minnew двенадцать | if (%min == 13) set %minnew тринадцать | if (%min == 14) set %minnew четырнадцать | if (%min == 15) set %minnew пятнадцать | if (%min == 16) set %minnew шестнадцать
n66=  if (%min == 17) set %minnew семнадцать | if (%min == 18) set %minnew восемнадцать | if (%min == 19) set %minnew девятнадцать | if (%min == 20) set %minnew двадцать | if (%min == 21) set %minnew двадцать одна | if (%min == 22) set %minnew двадцать две | if (%min == 23) set %minnew двадцать три | if (%min == 24) set %minnew двадцать четыре
n67=  if (%min == 25) set %minnew двадцать пять | if (%min == 26) set %minnew двадцать шесть | if (%min == 27) set %minnew двадцать семь | if (%min == 28) set %minnew двадцать восемь | if (%min == 29) set %minnew двадцать девять | if (%min == 30) set %minnew тридцать | if (%min == 31) set %minnew тридцать одна
n68=  if (%min == 32) set %minnew тридцать две | if (%min == 33) set %minnew тридцать три | if (%min == 34) set %minnew тридцать четыре | if (%min == 35) set %minnew тридцать пять | if (%min == 36) set %minnew тридцать шесть | if (%min == 37) set %minnew тридцать семь | if (%min == 38) set %minnew тридцать восемь | if (%min == 39) set %minnew тридцать девять
n69=  if (%min == 40) set %minnew сорок  | if (%min == 41) set %minnew сорок одна | if (%min == 42) set %minnew сорок две | if (%min == 43) set %minnew сорок три | if (%min == 44) set %minnew сорок четыре | if (%min == 45) set %minnew сорок пять | if (%min == 46) set %minnew сорок шесть | if (%min == 47) set %minnew сорок семь
n70=  if (%min == 48) set %minnew сорок восемь | if (%min == 49) set %minnew сорок девять | if (%min == 50) set %minnew пятьдесят  | if (%min == 51) set %minnew пятьдесят одна | if (%min == 52) set %minnew пятьдесят две | if (%min == 53) set %minnew пятьдесят три | if (%min == 54) set %minnew пятьдесят четыре
n71=  if (%min == 55) set %minnew пятьдесят пять | if (%min == 56) set %minnew пятьдесят шесть | if (%min == 57) set %minnew пятьдесят семь | if (%min == 58) set %minnew пятьдесят восемь | if (%min == 59) set %minnew пятьдесят девять
n72=  if ((%min == 1) || (%min == 21) || (%min == 31) || (%min == 41) || (%min == 51)) set %minb минута  | elseif ((%min == 2) || (%min == 22) || (%min == 32) || (%min == 42) || (%min == 52) || (%min == 3) || (%min == 23) || (%min == 33) || (%min == 43) || (%min == 53) || (%min == 4) || (%min == 24) || (%min == 34) || (%min == 44) || (%min == 54)) { set %minb минуты }
n73=  elseif (%min == 0) set %minb | else { set %minb минут } | if (%sec == 0) set %secnew ровно | if (%sec == 1) set %secnew одна | if (%sec == 2) set %secnew две | if (%sec == 3) set %secnew три | if (%sec == 4) set %secnew четыре | if (%sec == 5) set %secnew пять | if (%sec == 6) set %secnew шесть | if (%sec == 7) set %secnew семь | if (%sec == 8) set %secnew восемь
n74=  if (%sec == 9) set %secnew девять
n75=  if (%sec == 10) set %secnew десять
n76=  if (%sec == 11) set %secnew одиннадцать
n77=  if (%sec == 12) set %secnew двенадцать
n78=  if (%sec == 13) set %secnew тринадцать
n79=  if (%sec == 14) set %secnew четырнадцать
n80=  if (%sec == 15) set %secnew пятнадцать
n81=  if (%sec == 16) set %secnew шестнадцать
n82=  if (%sec == 17) set %secnew семнадцать
n83=  if (%sec == 18) set %secnew восемнадцать
n84=  if (%sec == 19) set %secnew девятнадцать
n85=  if (%sec == 20) set %secnew двадцать
n86=  if (%sec == 21) set %secnew двадцать одна
n87=  if (%sec == 22) set %secnew двадцать две
n88=  if (%sec == 23) set %secnew двадцать три
n89=  if (%sec == 24) set %secnew двадцать четыре
n90=  if (%sec == 25) set %secnew двадцать пять
n91=  if (%sec == 26) set %secnew двадцать шесть
n92=  if (%sec == 27) set %secnew двадцать семь
n93=  if (%sec == 28) set %secnew двадцать восемь
n94=  if (%sec == 29) set %secnew двадцать девять
n95=  if (%sec == 30) set %secnew тридцать
n96=  if (%sec == 31) set %secnew тридцать одна
n97=  if (%sec == 32) set %secnew тридцать две
n98=  if (%sec == 33) set %secnew тридцать три
n99=  if (%sec == 34) set %secnew тридцать четыре
n100=  if (%sec == 35) set %secnew тридцать пять
n101=  if (%sec == 36) set %secnew тридцать шесть
n102=  if (%sec == 37) set %secnew тридцать семь
n103=  if (%sec == 38) set %secnew тридцать восемь
n104=  if (%sec == 39) set %secnew тридцать девять
n105=  if (%sec == 40) set %secnew сорок 
n106=  if (%sec == 41) set %secnew сорок одна
n107=  if (%sec == 42) set %secnew сорок две
n108=  if (%sec == 43) set %secnew сорок три
n109=  if (%sec == 44) set %secnew сорок четыре
n110=  if (%sec == 45) set %secnew сорок пять
n111=  if (%sec == 46) set %secnew сорок шесть
n112=  if (%sec == 47) set %secnew сорок семь
n113=  if (%sec == 48) set %secnew сорок восемь
n114=  if (%sec == 49) set %secnew сорок девять
n115=  if (%sec == 50) set %secnew пятьдесят 
n116=  if (%sec == 51) set %secnew пятьдесят одна
n117=  if (%sec == 52) set %secnew пятьдесят две
n118=  if (%sec == 53) set %secnew пятьдесят три
n119=  if (%sec == 54) set %secnew пятьдесят четыре
n120=  if (%sec == 55) set %secnew пятьдесят пять
n121=  if (%sec == 56) set %secnew пятьдесят шесть
n122=  if (%sec == 57) set %secnew пятьдесят семь
n123=  if (%sec == 58) set %secnew пятьдесят восемь
n124=  if (%sec == 59) set %secnew пятьдесят девять
n125=  if ((%sec == 1) || (%sec == 21) || (%sec == 31) || (%sec == 41) || (%sec == 51)) set %secb секунда 
n126=  elseif ((%sec == 2) || (%sec == 22) || (%sec == 32) || (%sec == 42) || (%sec == 52) || (%sec == 3) || (%sec == 23) || (%sec == 33) || (%sec == 43) || (%sec == 53) || (%sec == 4) || (%sec == 24) || (%sec == 34) || (%sec == 44) || (%sec == 54)) set %secb секунды
n127=  elseif (%sec == 0) set %secb
n128=  else set %secb секунд
n129=  set %chasn $asctime(H)
n130=  if ((%chasn >= 0) && (%chasn <= 5)) set %vrem (Тёмная ночь)
n131=  if ((%chasn >= 5) && (%chasn <= 7)) set %vrem 11(Раннее утро)
n132=  if ((%chasn >= 8) && (%chasn <= 10)) set %vrem 7(Утро)
n133=  if ((%chasn >= 11) && (%chasn <= 18)) set %vrem 10(День)
n134=  if ((%chasn >= 19) && (%chasn <= 23)) set %vrem 14(Вечер)
n135=}
n136=viewlog {
n137=  if ( $1 != $null ) { set %logname $logdir $+ $1 }
n138=  else { set %logname $logdir $+ $$?="Введите имя файла лога" }
n139=  if  ( $isfile(%logname) == $false ) { echo 10 -a %ss2 4Ошибка! Такого лога нет! | goto end }
n140=  window -ka @Log. $+ $replace($1,.log,$null)
n141=  clear @log. $+ $replace($1,.log,$null)
n142=  aline @log. $+ $replace($1,.log,$null) %ss2 10Viewing log3 $1 $+ 10:
n143=  loadbuf $lines(%logname) -pi @log. $+ $replace($1,.log,$null) %logname
n144=  aline @log. $+ $replace($1,.log,$null) 
n145=  aline @log. $+ $replace($1,.log,$null) %ss2 10End of log
n146=  :end
n147=  unset %logname
n148=}
n149=winfil {
n150=  loadbuf $lines($2) -pi $1 $2
n151=}
n152=squer {
n153=  if ( %sound.query != $null ) { set %sound.queryask $$?!"Выключить озвучивание приватного сообщения?" | if ( %sound.queryask == $true ) { unset %sound.query | echo 10 -a %ss2 Озвучивание приватного сообщения выключено. } }
n154=  else { set %sound.queryask $$?!"Включить озвучивание приватного сообщения?" | if ( %sound.queryask == $true ) { set %sound.query Sound.Query.On | echo 10 -a %ss2 Озвучивание приватного сообщения включено. } }
n155=unset %sound.queryask }
n156=
n157=spmenuset {
n158=  if (% [ $+ [ $$1 ] $+ [ $$2 ] ] != $null) { unset % [ $+ [ $$1 ] $+ [ $$2 ] ] }
n159=  else { set % [ $+ [ $$1 ] $+ [ $$2 ] ] on }
n160=}
n161=spview {
n162=  if (% [ $+ [ $$1 ] $+ [ $$2 ] ] != $null) { unset % [ $+ [ $$1 ] $+ [ $$2 ] ] }
n163=  else { set % [ $+ [ $$1 ] $+ [ $$2 ] ] on }
n164=}
n165=
n166=adrer dialog -m adr_err adr_err
n167=wrjul {
n168=  var %i.j 1
n169=  :newju
n170=  if ( jenac isin $ruslower($strip($address($nick(#,%i.j),5))) ) {
n171=    if ($read(system\syst\jusers.txt,%i.j) isin $nick ) || ( $nick isin $read(system\syst\jusers.txt,%i.j) ) { goto endj }
n172=    if ($read(system\syst\jusers.txt,%i.j) == $null) { goto writej }
n173=    inc %i.j
n174=    goto newju
n175=    :writej
n176=    write system\syst\jusers.txt $nick $address($nick,5)
n177=    :endj
n178=  }
n179=}
n180=saytime me посмотрел $+ $gender на часы: 0,12 $+ $date([dddd]) $+ -0,12 $+ $date([mmmm]) $+ -0,12 $+ $date([dd]) $+ -0,12 $+ $date([yyyy]) $+ -0,12 $+ $time([HH:nn:ss])
n181=timemos {
n182=  set %zone $calc(3- $time(z))
n183=  set %time.mos.h $calc($time(HH) + %zone )
n184=  if ( %time.mos.h > 23 ) { set %time.mos.h %time.mos.h - 24 }
n185=  echo 10 -a 12»»» Время по Москве:3 %time.mos.h $+ : $+ $time(nn:ss)
n186=  unset %time.mos.h %zone
n187=}
n188=
n189=rn tnick $r(a,z) $+ $r(1,9) $+ $r(a,z) $+ $r(a,z) $+ $r(1,9) $+ $r(a,z)
n190=diskinfo {
n191=  echo 10 -a -
n192=  var %disk $$?="Введите букву диска"
n193=  if ( $disk(%disk) != $true ) { echo 10 -a %ss2 4Ошибка: диска3 $! нет на вашем компьютере. | halt }
n194=  echo 10 -a Информация по диску3 $upper($!) $+ :
n195=  echo 10 -a Тип диска:3 $disk($!).type
n196=  echo 10 -a Название диска:3 $disk($!).label
n197=  echo 10 -a Размер диска (прибл):3 $int($calc($disk($!).size /1024/1024)) Mb -3 $mid($calc($disk($!).size /1024/1024/1024),1,4) Gb
n198=  echo 10 -a Свободного места на диске (прибл):3 $int($calc($disk($!).free /1024/1024)) Mb -3 $mid($calc($disk($!).free /1024/1024/1024),1,4) Gb
n199=  echo 10 -a Занято места на диске (прибл):3 $calc($int($calc($disk($!).size /1024/1024)) - $int($calc($disk($!).free /1024/1024))) Mb -3 $calc($mid($calc($disk($!).size /1024/1024/1024),1,4) - $mid($calc($disk($!).free /1024/1024/1024),1,4)) Gb
n200=  echo 10 -a -
n201=}
n202=spam { .play -c $mircdirsystem\syst\spam.ini 0 }
n203=roses { .play -c $mircdirsystem\syst\roses.ini 0 }
n204=;[CHANNEL MESSAGES]
n205=mall {
n206=  if ( $1 == :next: ) { goto next }
n207=  set %mmsg.chan $1
n208=  set %mmsg $2-
n209=  echo 10 -a %ss2 Starting Mass MSG Program. Это займет примерно3 $duration($calc( 2 * $nick( %mmsg.chan ,0))) $+ .
n210=  set %i 1
n211=  :next
n212=  set %mmsg.nick $nick( %mmsg.chan ,%i)
n213=  if ( %mmsg.nick == $null ) { mdel | halt }
n214=  if ( %mmsg.nick == $me ) { inc %i | goto next }
n215=  msg %mmsg.nick 3Jenac mIRC Mass MSG: %mmsg
n216=  inc %i
n217=  .timer 1 2 mall :next:
n218=}
n219=mdel {
n220=  dec %i
n221=  echo 10 -a %ss2 Сообщение: "3 $+ %mmsg $+ " всем юзерам на канале в приват отосланы.
n222=  unset %mmsg.nick %mmsg %i
n223=}
n224=nall {
n225=  if ( $1 == :next: ) { goto next }
n226=  set %notice.chan $1
n227=  set %m.notice $2-
n228=  echo 10 -a %ss2 Starting Mass Notice Program. Это займет примерно3 $duration($nick( %notice.chan ,0)) $+ .
n229=  set %i.n 1
n230=  :next
n231=  set %nick $nick( %notice.chan ,%i.n)
n232=  if ( %nick == $null ) { ndel | halt }
n233=  if ( %nick == $me ) { inc %i.n | goto next }
n234=  notice %nick Jenac mIRC Mass Notice: 3 $+ %m.notice
n235=  inc %i.n
n236=  .timer 1 1 nall :next:
n237=}
n238=ndel {
n239=  dec %i.n
n240=  echo 10 -a %ss2 Нотис: "3 $+ %m.notice $+ " всем юзерам на канале в приват отосланы.
n241=  unset %nick %m.notice %i.n %notice.chan
n242=}
n243=mop {
n244=  var %tellop $$?="Что сказать?"
n245=  var %i 1
n246=  :next
n247=  set %nick $nick(#,%i)
n248=  if ( %nick == $null ) { goto done }
n249=  if ( %nick == $me ) { inc %i |  goto next }
n250=  if ( %nick isop # ) .msg %nick Jenac mIRC All Op MSG: %tellop
n251=  inc %i
n252=  goto next
n253=  :done
n254=  unset %nick
n255=}
n256=nop {
n257=  var %tellop $$?="Что сказать?"
n258=  var %i 1
n259=  :next
n260=  set %nick $nick(#,%i)
n261=  if ( %nick == $null ) { goto done }
n262=  if ( %nick == $me ) { inc %i |  goto next }
n263=  if ( %nick isop # )  .notice %nick Jenac mIRC All Op Notice: %tellop
n264=  inc %i
n265=  goto next
n266=  :done
n267=}
n268=
n269=allqueryiback {
n270=  var %i.aq 1
n271=  while ( $query(%i.aq) != $null ) {
n272=    msg $query(%i.aq) 3Jenac mIRC MSG Service: Я скоро вернусь.
n273=    inc %i.aq
n274=  }
n275=}
n276=allquerymsg {
n277=  var %i.aqm 1
n278=  set %aqmsg $$?="Что сказать во все открытые приваты?"
n279=  while ( $query(%i.aqm) != $null ) {
n280=    msg $query(%i.aqm) 3Jenac mIRC MSG Service: %aqmsg
n281=    inc %i.aqm
n282=  }
n283=}
n284=
n285=;[QUITMESS]
n286=quitr {
n287=  set %lastq $quitmess
n288=  set %rnq $r(1,82)
n289=  set %ran.q $read( $mircdir\System\syst\Quit.txt, %rnq )
n290=  set %quitmess %ran.q
n291=  quit %quitmess
n292=  set %quitmess %lastq
n293=  unset %rnq
n294=  unset %ran.q
n295=  unset %lastq
n296=}
n297=partr {
n298=  set %lastq $quitmess
n299=  set %rnq $r(1,82)
n300=  set %ran.q $read( $mircdir\System\syst\Quit.txt, %rnq )
n301=  set %quitmess %ran.q
n302=  part # %quitmess
n303=  set %quitmess %lastq
n304=  unset %rnq
n305=  unset %ran.q
n306=  unset %lastq
n307=}
n308=showrq {
n309=  var %ls [
n310=  var %ps ]
n311=  window -adk @Quits
n312=  var %i.s 1
n313=  :new
n314=  set %rq $read( $mircdirSystem\syst\Quit.txt, %i.s )
n315=  if ( %rq != $null ) { aline -p @Quits %ls $+ %i.s $+ %ps %rq | aline @Quits  | inc %i.s | goto new }
n316=  else { goto end }
n317=  :end
n318=}
n319=setqm {
n320=  set %qmask $$?!"Вы хотите поменять сообщение выхода?"
n321=  if ( %qmask == $true ) { unset %qmask | set %quitmess $$?="Введите новое сообщение выхода:" | echo 10 -a %ss2 Новое сообщение выхода: $quitmess }
n322=}
n323=
n324=;[****AUTOMATIC****]
n325=
n326=ignick {
n327=  if ( %ignore. [ $+ [ %inick ] ] != $null ) { set %ignask $$?!"Убрать игнор?" | if ( %ignask == $true ) { ignore -r %inick | unset %ignore. [ $+ [ %inick ] ] } }
n328=  else { set %ignask $$?!"В игнор?" | if ( %ignask == $true ) { ignore %inick | set %ignore. [ $+ [ %inick ] ] Ignored } }
n329=  unset %ignask %inick
n330=}
n331=
n332=;[$Identifier]
n333=awpr { return $read(system\syst\awpr.txt,4) }
n334=ah { return [ [ %ah ] ] }
n335=logversi { return %logo $+ 3 v $+ %version $+  }
n336=quitmess { return %quitmess  $+ скачать клиент от WWW.SAMP-RUS.COM - http://max-hitman.at.ua/Jenac_mIRC_v2.1.1.rar $logversi }
n337=whinfo { return 3JeNac™Script }
n338=versi { return v $+ %version }
n339=mlink { return %mlink }
n340=rusupper { return $replace($1-,й,Й,ц,Ц,у,У,к,К,е,Е,н,Н,г,Г,ш,Ш,щ,Щ,з,З,х,Х,ъ,Ъ,ф,Ф,ы,Ы,в,В,а,А,п,П,р,Р,о,О,л,Л,д,Д,ж,Ж,э,Э,я,Я,ч,Ч,с,С,м,М,и,И,т,Т,ь,Ь,б,Б,ю,Ю,ё,Ё) }
n341=ruslower { return $replace($1-,Й,й,Ц,ц,У,у,К,к,Е,е,Н,н,Г,г,Ш,ш,Щ,щ,З,з,Х,х,Ъ,ъ,Ф,ф,Ы,ы,В,в,А,а,П,п,Р,р,О,о,Л,л,Д,д,Ж,ж,Э,э,Я,я,Ч,ч,С,с,М,м,И,и,Т,т,Ь,ь,Б,б,Ю,ю,Ё,ё,A,a,B,b,C,c,D,d,E,e,F,f,G,g,H,h,I,i,J,j,K,k,L,l,M,m,N,n,O,o,P,p,Q,q,R,r,S,s,T,t,U,u,V,v,W,w,X,x,Y,y,Z,z) }
